Subject: Re: [PATCH] rtw89: fix error function parameter

From: Kalle Valo <[email-masked]>
Date: Wed, 20 Oct 2021 13:03:43 +0300

Pkshih <[email-masked]> writes:

>> -----Original Message-----
>> From: kvalo=[email-masked]
>> <kvalo=[email-masked]> On Behalf Of Kalle
>> Valo
>> Sent: Wednesday, October 20, 2021 4:50 PM
>> To: [email-masked]
>> Cc: [email-masked]; [email-masked]; Pkshih
>> <[email-masked]>; [email-masked];
>> [email-masked]; [email-masked];
>> [email-masked]; Zeal Robot
>> <[email-masked]>
>> Subject: Re: [PATCH] rtw89: fix error function parameter
>> 
>> [email-masked] wrote:
>> 
>> > From: Lv Ruyi <[email-masked]>
>> >
>> > This patch fixes the following Coccinelle warning:
>> > drivers/net/wireless/realtek/rtw89/rtw8852a.c:753:
>> > WARNING  possible condition with no effect (if == else)
>> >
>> > Reported-by: Zeal Robot <[email-masked]>
>> > Signed-off-by: Lv Ruyi <[email-masked]>
>> > Acked-by: Ping-Ke Shih <[email-masked]>
>> 
>> Failed to apply, please rebase on top of wireless-drivers-next.
>> 
>> error: patch failed: drivers/net/wireless/realtek/rtw89/rtw8852a.c:753
>> error: drivers/net/wireless/realtek/rtw89/rtw8852a.c: patch does not apply
>> error: Did you hand edit your patch?
>> It does not apply to blobs recorded in its index.
>> hint: Use 'git am --show-current-patch' to see the failed patch
>> Applying: rtw89: fix error function parameter
>> Using index info to reconstruct a base tree...
>> Patch failed at 0001 rtw89: fix error function parameter
>> 
>> Patch set to Changes Requested.
>> 
>
> I think this is because the patch is translated into spaces instead of tabs, 
> in this and following statements.
> "                if (is_2g)"

Ah, I did wonder why it failed as I didn't see any similar patches. We
have an item about this in the wiki:

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches#format_issues

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches